> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_workspace.md).

# runai workspace

workspace management

## Options

```
  -h, --help   help for workspace
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai](/self-hosted/2.20/reference/cli/runai.md) - NVIDIA Run:ai Command-line Interface
* [runai workspace attach](/self-hosted/2.20/reference/cli/runai/runai_workspace_attach.md) - attach to a running container in a workspace job
* [runai workspace bash](/self-hosted/2.20/reference/cli/runai/runai_workspace_bash.md) - open a bash shell in a workspace job
* [runai workspace delete](/self-hosted/2.20/reference/cli/runai/runai_workspace_delete.md) - delete workspace workload
* [runai workspace describe](/self-hosted/2.20/reference/cli/runai/runai_workspace_describe.md) - describe workspace
* [runai workspace exec](/self-hosted/2.20/reference/cli/runai/runai_workspace_exec.md) - execute a command in a workspace job
* [runai workspace list](/self-hosted/2.20/reference/cli/runai/runai_workspace_list.md) - list workspace
* [runai workspace logs](/self-hosted/2.20/reference/cli/runai/runai_workspace_logs.md) - view logs of a workspace job
* [runai workspace port-forward](/self-hosted/2.20/reference/cli/runai/runai_workspace_port-forward.md) - forward one or more local ports to a workspace job
* [runai workspace resume](/self-hosted/2.20/reference/cli/runai/runai_workspace_resume.md) - resume workspace
* [runai workspace submit](/self-hosted/2.20/reference/cli/runai/runai_workspace_submit.md) - submit workspace
* [runai workspace suspend](/self-hosted/2.20/reference/cli/runai/runai_workspace_suspend.md) - suspend workspace


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_workspace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
